Summary: Ruby interactive reference
Name: ri
Version: 1.8b
Release: 1
License: public domain
Group: Applications/Ruby
Source: http://www.pragmaticprogrammer.com/ruby/downloads/files/%{name}-%{version}.tgz
Patch: ri-path.diff
URL: http://www.pragmaticprogrammer.com/ruby/downloads/ri.html
BuildRoot: /var/tmp/%{name}
BuildRequires: ruby
Requires: ruby

%description
ri displays descriptions of Ruby's built-in methods, classes, and modules.

%prep
%setup -n %{name}
%patch -p1

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
ruby install.rb
ruby -i -pe 'sub(/\/var\/tmp\/ri/, "")' $RPM_BUILD_ROOT/usr/bin/ri

%files
%doc COPYING README ChangeLog contrib/
%defattr(-,root,root)
/usr/bin/ri
%attr(0755,-,-)/usr/lib/ruby/site_ruby/ri

%changelog
* Thu Apr 17 2003 Ian Macdonald <ian@caliban.org> 1.8b-1
- 1.8b

* Wed Apr  9 2003 Ian Macdonald <ian@caliban.org> 1.8a-1
- 1.8a

* Wed Jan 16 2001 Ian Macdonald <ian@caliban.org> 0.8a-1
- 0.8a

* Wed Jan 16 2001 Ian Macdonald <ian@caliban.org> 0-7a=1
- 0.7a
